GMX-FREEVOLUME(1)

NAME
gmx-freevolume - Calculate free volume

SYNOPSIS

gmx freevolume [-f [<.xtc/.trr/...>]] [-s [<.tpr/.gro/...>]]
             [-n [<.ndx>]] [-o [<.xvg>]] [-b <time>] [-e <time>]
             [-dt <time>] [-tu <enum>] [-fgroup <selection>]
             [-xvg <enum>] [-[no]rmpbc] [-sf <file>]
             [-selrpos <enum>] [-select <selection>] [-radius <real>]
             [-seed <int>] [-ninsert <int>]

DESCRIPTION

gmx freevolume calculates the free volume in a box as a function of time. The free volume is plotted as a fraction of the total volume. The program tries to insert a probe with a given radius, into the simulations box and if the distance between the probe and any atom is less than the sums of the van der Waals radii of both atoms, the position is considered to be occupied, i.e. non-free. By using a probe radius of 0, the true free volume is computed. By using a larger radius, e.g. 0.14 nm, roughly corresponding to a water molecule, the free volume for a hypothetical particle with that size will be produced. Note however, that since atoms are treated as hard-spheres these number are very approximate, and typically only relative changes are meaningful, for instance by doing a series of simulations at different temperature.

The group specified by the selection is considered to delineate non-free volume. The number of insertions per unit of volume is important to get a converged result. About 1000/nm^3 yields an overall standard deviation that is determined by the fluctuations in the trajectory rather than by the fluctuations due to the random numbers.

The results are critically dependent on the van der Waals radii; we recommend to use the values due to Bondi (1964).

The Fractional Free Volume (FFV) that some authors like to use is given by 1 - 1.3*(1-Free Volume). This value is printed on the terminal.

OPTIONS

Options to specify input files:

-f [<.xtc/.trr/…>] (traj.xtc) (Optional)
    Input trajectory or single configuration: xtc trr cpt gro g96 pdb tng

-s [<.tpr/.gro/…>] (topol.tpr) (Optional)
    Input structure: tpr gro g96 pdb brk ent

-n [<.ndx>] (index.ndx) (Optional)
    Extra index groups

    Options to specify output files:

-o [<.xvg>] (freevolume.xvg) (Optional)
    Computed free volume

    Other options:

-b <time> (0)
    First frame (ps) to read from trajectory

-e <time> (0)
    Last frame (ps) to read from trajectory

-dt <time> (0)
    Only use frame if t MOD dt == first time (ps)

-tu <enum> (ps)
    Unit for time values: fs, ps, ns, us, ms, s

-fgroup <selection>
    Atoms stored in the trajectory file (if not set, assume first N atoms)

-xvg <enum> (xmgrace)
    Plot formatting: xmgrace, xmgr, none

-[no]rmpbc (yes)
    Make molecules whole for each frame

-sf <file>
    Provide selections from files

-selrpos <enum> (atom)
    Selection reference positions: atom, res_com, res_cog, mol_com, mol_cog, whole_res_com, whole_res_cog, whole_mol_com, whole_mol_cog, part_res_com, part_res_cog, part_mol_com, part_mol_cog, dyn_res_com, dyn_res_cog, dyn_mol_com, dyn_mol_cog

-select <selection>
    Atoms that are considered as part of the excluded volume

-radius <real> (0)
    Radius of the probe to be inserted (nm, 0 yields the true free volume)

-seed <int> (0)
    Seed for random number generator (0 means generate).

-ninsert <int> (1000)
    Number of probe insertions per cubic nm to try for each frame in the trajectory.

SEE ALSO

gmx(1)

More information about GROMACS is available at <http://www.gromacs.org/>.

COPYRIGHT
2021, GROMACS development team